/*********************************************************
 * Aperture Photometory:
 *
 *    Calcurate Average W/O Any Rejection
 *
 *       Input  : *pData    : POINT Data
 *       Input  : dNdata    : INT   Number of Data
 *       Output : fAverage  : FLOAT Average
 *
 *
 *       Ver.2.0 : 20040303 : Masayuki Akiyama
 **********************************************************
 */

#include "acquisition.h"

float ac_average(const float *pData, const int dNdata)
{  
    int    i;
    float  fSum, fAverage;

    fSum = 0.0;

    for(i=0; i<dNdata; i++){
          fSum = fSum + *(pData+i);
    }
    fAverage = fSum / dNdata;
#ifdef DEBUG_AC_AVERAGE
    fprintf(stderr," ac_average : Average = %5.2f\n", fAverage);
#endif

    return fAverage;
}
