/*****************************************************
 *  Aperture Photometory:
 *
 *    Read FITS Header Keyword
 *
 *   Input : cFilename : FITS file name
 *   Output: pAxis     : Length of axis
 *   Output:           : Status from cfitsio
 *
 *     Version 2.0 20040305 Masayuki Akiyama from MMT
 *****************************************************
 */

#include  "acquisition.h"

#undef DEBUG
 
int fits_read_head(const char *cFilename, const char *cKeyname,
               char *cRecord)
{
   fitsfile  *pFits;
   int       iStat;
   int       iNfound;
   char      cComment[20];
   char      cKey[20];

   strcpy( cKey, cKeyname );

   iStat = 0;
   if(fits_open_file(&pFits, cFilename, READONLY, &iStat)>0){
         fits_report_error(stderr, iStat);
         exit(8);
   }

   iStat=0;
   if(fits_read_keyword(pFits, cKey, cRecord, cComment, &iStat)>0){
         fits_report_error(stderr, iStat);
/*         exit(8); */
   }

   iStat=0;
   if(fits_close_file(pFits, &iStat)>0){ 
         fits_report_error(stderr, iStat);
         exit(8);
   }

/*    fprintf(stderr, "READ %s\n", cFilename); */
   return iStat;
}
