#include "geomap.h"

int main( argc, argv )
int   argc;
char  *argv[];
{
   float  *fResX, *fResY;
   float  *fResDX, *fResDY;
   float  *fStrtX, *fStrtY;
   float  *fEndX, *fEndY;
   int    iNline;
   int    iNread;
   int    iNstar;
   int    iNarro;
   int    iC;
   char   cInput[10];
   char   cLine[256];
   char   cData[10][100];
   FILE   *pFile;

   if(argc != 2){
      printf("usage : res_viewer [inputfile]\n");
      exit(1);
   }

   pFile = fopen(argv[1], "rt");
   if ( pFile == NULL ){
      printf("file not found \n");
      exit(1);
   }

   iNline = 0;
   while( fgets(cLine, 256, pFile) != NULL){
       iNline = iNline+1;
   }
   fclose(pFile);
   
   fResX = (float *)malloc(sizeof(float) * iNline); 
   fResY = (float *)malloc(sizeof(float) * iNline); 
   fResDX = (float *)malloc(sizeof(float) * iNline); 
   fResDY = (float *)malloc(sizeof(float) * iNline); 
   fStrtX = (float *)malloc(sizeof(float) * iNline); 
   fStrtY = (float *)malloc(sizeof(float) * iNline); 
   fEndX = (float *)malloc(sizeof(float) * iNline); 
   fEndY = (float *)malloc(sizeof(float) * iNline); 

   pFile = fopen(argv[1], "rt");

   iC = 0;
   while( fgets(cLine, 256, pFile) != NULL){
      iNread = sscanf( cLine, "%s %s %s %s %s %s %s %s", cData[0], cData[1], cData[2], cData[3], cData[4], cData[5], cData[6], cData[7] );      
      if( iNread == 8 && atof(cData[1])!=0 ){
         *(fResX+iC) = atof(cData[0]);
         *(fResY+iC) = atof(cData[1]);
         *(fResDX+iC) = atof(cData[6]);
         *(fResDY+iC) = atof(cData[7]);
         iC = iC+1;
      }
   }
   fclose(pFile);   
   iNstar = iC;

   for(iC=0; iC<iNstar; iC++){
      *(fStrtX+iC) = *(fResX+iC);
      *(fStrtY+iC) = *(fResY+iC);
      *(fEndX+iC) = *(fResX+iC) + 500.0 * *(fResDX+iC);
      *(fEndY+iC) = *(fResY+iC) + 500.0 * *(fResDY+iC);

   }
   iNarro = iNstar;

  /*
   * Start PGPLOT
   */
   if(cpgbeg(0, "/xw", 1, 1) != 1){
        exit(EXIT_FAILURE);
   }
   cpgask(0);
   cpgpage();
 
   /*
    * Graph Plot
    */
   cpgsvp(0.1, 0.42, 0.1, 0.9);
   cpgswin(0.0, 2000.0, 0.0, 4000.0);
   cpgbox("BCNTS", 0.0, 0, "BCNTS", 0.0, 0);
   cpglab("X", "Y", "TEST");   
   for(iC=0; iC<iNarro; iC++){
      cpgsah(1, 40, 0.7);
      if( sqrt(*(fResDX+iC) * *(fResDX+iC)+ *(fResDY+iC) * *(fResDY+iC)) < 0.5 ){
          cpgsci(4);
      }
      else{
          cpgsci(3);
      }
      cpgarro( *(fStrtX+iC), *(fStrtY+iC), *(fEndX+iC), *(fEndY+iC));
//      printf("%f %f %f %f\n", *(fStrtX+iC), *(fStrtY+iC), *(fEndX+iC), *(fEndY+iC));
   }
   cpgsci(1);
   cpgarro(100,100,600,600);
   cpgtext(300,300,"1pix");
   cpgsci(0);

   printf("END? \n");
   fgets( cInput, sizeof(cInput), stdin );
   
   /*
    * End PGPLOT
    */
   cpgend();

   free(fResX);
   free(fResY);
   free(fResDX);
   free(fResDY);
   free(fStrtX);
   free(fStrtY);
   free(fEndX);
   free(fEndY);

   
   exit(1);
}
