"""
cosmology.py - tools for cosmological distances etc.
2010.12.06. YOSHIKAWA, Tomohiro
"""

from astrotool import cosmology as cosmo

def cosmology(z1, z2=iraf.INDEF, h=0.7, m=0.3, l=0.7, dz=0.001):
    maxz=10
    if z1 > 10:
        maxz=100
    elif z1 > 100:
        print "z should be less than 100"
        return
    csm = cosmo.Cosmology(h, m, l, dz)
    
    dl = csm.dl(z1)
    da = csm.da(z1)
    tl = csm.tl(z1)
    
    print("Luminosity Distance(m): %.3e"%(dl))
    print("Angular Diameter Distance(m): %.3e"%(da))
    print("Look-Back Time(yr): %.3e"%(tl))

    if z2 != iraf.INDEF:
        vc = csm.vc(z1, z2)
        print("Comoving Volume(m^3/solid angle): %.3e"%(vc))
