"""
urlget - libraries to get URL string
YOSHIKAWA, Tomohiro
$Log: not supported by cvs2svn $
"""
import urllib
import re
import string

class URLget:
    def __init__(self, url):
        self.url = url
        self.data = ''
    def setdata(self, append=False, **data):
        if append:
            self.data = self.data + '&' + urllib.urlencode(data)
        else:
            self.data = urllib.urlencode(data)
    def urlstring(self, **data):
        if len(data) > 0:
            self.setdata(**data)
        if len(self.data) > 0:
            return self.url + '?' + self.data
        else:
            return self.url

class Simbad(URLget):
    def __init__(self):
        URLget.__init__(self, 'http://simbad.u-strasbg.fr/sim-id.pl')
        self.list = {'protocol': 'html',
                     'Ident': ''}
    def urlstring(self, id):
        self.list['Ident']=id
        return URLget.urlstring(self, **self.list)

class StarAlt(URLget):
    def __init__(self):
        URLget.__init__(self, 'http://catserver.ing.iac.es/staralt/index.php')
        self.list = {'form[mode]': '1', # 1:Staralt, 2: Startrack, 3: Starobs, 4: Starmult
                     'form[day]': '',
                     'form[month]': '',
                     'form[year]': '',
                     'form[observatory]': '6', #Mauna Kea
                     'form[sitecoord]': '',
                     'form[coordlist]': '',
                     'form[coordfile]': '',
                     'action': 'showImage',
                     'form[format]': 'gif',
                     'form[paramdist]': 2, # Moon Distance
                     'form[minangle]': 10,
                     'submit': ' Retrieve '
                     }
        self.object = []
    def setmode(self, mode):
        self.list['form[mode]'] = '%1d'%(mode)
    def setdate(self, year, month, day):
        self.list['form[year]'] = '%04d'%(year)
        self.list['form[month]'] = '%02d'%(month)
        self.list['form[day]'] = '%02d'%(day)
    def addobject(self, ra, dec, name=None):
        ra1 = re.sub(":", " ", ra)
        dec1 = re.sub(":", " ", dec)
        if name == None:
            self.object.append(ra1 + ' ' + dec1)
        else:
            self.object.append(name + ' ' + ra1 + ' ' + dec1)
        
    def urlstring(self, ra=None, dec=None, name=None):
        if ra != None and dec != None:
            ra1 = re.sub(":", " ", ra)
            dec1 = re.sub(":", " ", dec)
            if name == None:
                self.list['form[coordlist]'] = ra1 + ' ' + dec1
            else:
                self.list['form[coordlist]'] = name + ' ' + ra1 + ' ' + dec1
        else:
            self.list['form[coordlist]'] = string.join(self.object, '\r\n')
        return URLget.urlstring(self, **self.list)
        
