#!/bin/sh
# setup.sh - setup MCSMDP
# 2010.08.21. YOSHIKAWA, Tomohiro

## get required information
# current directory
DIR_MCSMDP=$(pwd)

# path to MCSMDP
echo -n "pass to your MDPDB? (${DIR_MCSMDP%/*}/MDPDB): "
read DIR_MDPDB
if [ -z $DIR_MDPDB ]; then
    DIR_MDPDB=${DIR_MCSMDP%/*}/MDPDB
fi
echo

## environmental vairables
cat <<EOF > ${DIR_MCSMDP}/etc/mcsmdp.sh
export MCSMDP=${DIR_MCSMDP}
export PATH=\${MCSMDP}/bin/:\${PATH}
EOF

cat <<EOF > ${DIR_MCSMDP}/etc/mcsmdp.csh
setenv MCSMDP ${DIR_MCSMDP}
setenv PATH \${MCSMDP}/bin/:\${PATH}
EOF

## loginuser.cl
cat <<EOF > ${DIR_MCSMDP}/etc/loginuser.cl
set  mcsmdp   =     "${DIR_MCSMDP}/"
task \$mcsmdp =     "mcsmdp\$pyraf/mcsmdp.cl"
set  mdpdb    =     "${DIR_MDPDB}/"
set  tmp      =     "home\$tmp/" 
set     stdimage        = imt2048
set     imtype          = "fits"
keep
EOF

echo "setup is completed."
echo "please load"
echo "  ${DIR_MCSMDP}/etc/mcsmdp.sh in your ~/.bashrc (bash)"
echo "  or"
echo "  ${DIR_MCSMDP}/etc/mcsmdp.csh in your ~/.cshrc (tcsh)"

